## libsecret 0.20.5

=== meson_options.txt ===
option('manpage', type: 'boolean', value: true, description: 'Build man pages')
option('gcrypt', type: 'boolean', value: true, description: 'With gcrypt and transport encryption')
option('debugging', type: 'boolean', value: false, description: 'Turn debugging on/off')
option('vapi', type: 'boolean', value: true, description: 'Create VAPI file.')
option('gtk_doc', type: 'boolean', value: true, description: 'Build reference documentation using gi-docgen')
option('introspection', type: 'boolean', value: true, description: 'Create GIR file.')
option('bashcompdir', type: 'string', value: '', description: 'Override default location for bash completion files')
option('bash_completion', type: 'feature', value: 'auto', description: 'Install bash completion files')
option('tpm2', type: 'boolean', value: false, description: 'With TPM2 Software Stack')

=== debian/changelog ===
libsecret (0.20.5-3) unstable; urgency=medium

  * Team upload
  * Update list of architectures that can run gjs-based tests
    - Remove armel, which is likely to lose gjs support with the move to
      mozjs102 (see #1018076)
    - Add riscv64

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Aug 2022 11:05:48 +0100

libsecret (0.20.5-2) unstable; urgency=medium

  * Have libsecret-1-dev Depend on libgcrypt20-dev per its pkgconfig

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 23 Feb 2022 07:28:04 -0500

libsecret (0.20.5-1) unstable; urgency=medium

  * New upstream release
    - The new TPM2 based secret storage is disabled by default in this release
  * Build with meson
  * Bump debhelper-compat to 13
  * debian/control.in: Build-Depend on gi-docgen
  * debian/rules: Set the timeout multipler to 6

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 21 Feb 2022 11:00:19 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libsecret
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gi-docgen,
               libglib2.0-dev (>= 2.44.0),
               libglib2.0-doc (>= 2.44.0),
               libgcrypt20-dev (>= 1.2.2),
               libgirepository1.0-dev (>= 1.29),
               meson (>= 0.50.),
               gtk-doc-tools (>= 1.9),
               valac (>= 0.17.2.12),
               python3-dbus <!nocheck>,
               python3-gi <!nocheck>,
               dbus <!nocheck>,
               gjs [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x riscv64] <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/gnome-team/libsecret
Vcs-Git: https://salsa.debian.org/gnome-team/libsecret.git
Homepage: https://wiki.gnome.org/Projects/Libsecret

Package: libsecret-1-dev
Architecture: any
Section: libdevel
Depends: libsecret-1-0 (= ${binary:Version}),
         gir1.2-secret-1 (= ${binary:Version}),
         libgcrypt20-dev (>= 1.2.2),
         libglib2.0-dev (>= 2.44.0),
         ${misc:Depends}
Multi-Arch: same
Description: Secret store (development files)
 Library for storing and retrieving passwords and other secrets.
 It communicates with the "Secret Service" using DBus.
 .
 This package contains the development files.

Package: libsecret-1-0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libsecret-common
Breaks: seahorse (<< 3.10)
Multi-Arch: same
Description: Secret store
 Library for storing and retrieving passwords and other secrets.
 It communicates with the "Secret Service" using DBus.

Package: libsecret-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Secret store (common files)
 Library for storing and retrieving passwords and other secrets.
 It communicates with the "Secret Service" using DBus.
 .
 This package contains data files used by the libsecret library.

Package: libsecret-tools
Section: admin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: tool for storing and retrieving GObject passwords
 This package provides a command line tool using libsecret to access
 the freedesktop.org Secret Service API. This can be used to store
 and retrieve passwords for desktop applications.

Package: gir1.2-secret-1
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: Secret store (GObject-Introspection)
 This package contains introspection data for libsecret, which can be used
 to generate dynamic bindings.
 .
 libsecret is a library for storing and retrieving passwords and other secrets.
 It communicates with the "Secret Service" using DBus.
 .
 This package contains the introspection datas for the libsecret library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	env -u LD_PRELOAD dbus-run-session -- dh_auto_test -- --timeout-multiplier 6
endif

## libsecret 0.21.0

=== debian/changelog ===
libsecret (0.21.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Add armel back to the list of architectures that can run gjs tests

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed
  * Remove constraints unnecessary since buster (oldstable)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 15:31:33 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -21,9 +21,9 @@
                python3-dbus <!nocheck>,
                python3-gi <!nocheck>,
                dbus <!nocheck>,
-               gjs [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x riscv64] <!nocheck>
+               gjs [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el riscv64 s390x] <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsecret
 Vcs-Git: https://salsa.debian.org/gnome-team/libsecret.git
 Homepage: https://wiki.gnome.org/Projects/Libsecret
@@ -49,7 +49,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libsecret-common
-Breaks: seahorse (<< 3.10)
 Multi-Arch: same
 Description: Secret store
  Library for storing and retrieving passwords and other secrets.

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 %:
 	dh $@
-
-override_dh_makeshlibs:
-	dh_makeshlibs -- -c4
 
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))

## libsecret 0.21.2

=== debian/changelog ===
libsecret (0.21.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libsecret-1.0.symbols: Add new symbols
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Jan 2024 15:17:37 -0500

libsecret (0.21.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Sep 2023 14:52:16 -0400

## libsecret 0.21.4

=== debian/changelog ===
libsecret (0.21.4-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:16:13 +0000

libsecret (0.21.4-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:05:13 +0000

libsecret (0.21.4-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:29:09 +0000

libsecret (0.21.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - 0.21.3
      + Port PAM module from gnome-keyring
        https://gitlab.gnome.org/GNOME/libsecret/-/merge_requests/128
      + secret-tool: Fix memory issues in lock command
        https://gitlab.gnome.org/GNOME/libsecret/-/merge_requests/134
    - 0.21.4
      + file-backend: Subscribe before calling dbus
        https://gitlab.gnome.org/GNOME/libsecret/-/merge_requests/138
      + meson: Fix crypto option being silently ignored
        https://gitlab.gnome.org/GNOME/libsecret/-/merge_requests/137

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 27 Feb 2024 12:39:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,9 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libsecret
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,6 @@
 	dh $@
 
 override_dh_auto_test:
-ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
 	env -u LD_PRELOAD dbus-run-session -- dh_auto_test -- --timeout-multiplier 6
-endif
+
+override_dh_gnome_clean:

## libsecret 0.21.6

=== debian/changelog ===
libsecret (0.21.6-2) unstable; urgency=medium

  * Remove bash completion files that conflict with those provided
    by bash-completion (Closes: #1093258)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 19:47:22 -0500

libsecret (0.21.6-1) unstable; urgency=medium

  * New upstream release
  * debian/libsecret-1-0.symbols: Add new symbols
  * debian/libsecret-tools.install: Install bash completions
  * Run wrap-and-sort
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 12:41:30 -0500

libsecret (0.21.4-3) unstable; urgency=medium

  * Remove i386 from the list of architectures that can run gjs tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 07 Sep 2024 13:10:42 -0400

libsecret (0.21.4-2) unstable; urgency=medium

  * Team upload
  * Remove armel from the list of architectures that can run gjs tests
    (Helps: #1080521)
  * Standards-Version: 4.7.0 (no changes required)
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
  * Register API documentation with doc-base and devhelp

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Sep 2024 19:42:22 +0100

=== debian/control ===
Source: libsecret
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               bash-completion,
               dbus <!nocheck>,
               gi-docgen,
               gjs [amd64 arm64 armhf mips64el mipsel ppc64el riscv64 s390x] <!nocheck>,
               gtk-doc-tools (>= 1.9),
               libgcrypt20-dev (>= 1.2.2),
               libgirepository1.0-dev (>= 1.29),
               libglib2.0-dev (>= 2.44.0),
               libglib2.0-doc (>= 2.44.0),
               meson (>= 0.50.),
               python3-dbus <!nocheck>,
               python3-gi <!nocheck>,
               valac (>= 0.17.2.12)
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/libsecret
Vcs-Git: https://salsa.debian.org/gnome-team/libsecret.git
Homepage: https://wiki.gnome.org/Projects/Libsecret

Package: libsecret-1-dev
Architecture: any
Section: libdevel
Depends: gir1.2-secret-1 (= ${binary:Version}),
         libgcrypt20-dev (>= 1.2.2),
         libglib2.0-dev (>= 2.44.0),
         libsecret-1-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Multi-Arch: same
Description: Secret store (development files)
 Library for storing and retrieving passwords and other secrets.
 It communicates with the "Secret Service" using DBus.
 .
 This package contains the development files.

Package: libsecret-1-0
Section: libs
Architecture: any
Depends: libsecret-common, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Secret store
 Library for storing and retrieving passwords and other secrets.
 It communicates with the "Secret Service" using DBus.

Package: libsecret-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Secret store (common files)
 Library for storing and retrieving passwords and other secrets.
 It communicates with the "Secret Service" using DBus.
 .
 This package contains data files used by the libsecret library.

Package: libsecret-tools
Section: admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: tool for storing and retrieving GObject passwords
 This package provides a command line tool using libsecret to access
 the freedesktop.org Secret Service API. This can be used to store
 and retrieve passwords for desktop applications.

Package: gir1.2-secret-1
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Secret store (GObject-Introspection)
 This package contains introspection data for libsecret, which can be used
 to generate dynamic bindings.
 .
 libsecret is a library for storing and retrieving passwords and other secrets.
 It communicates with the "Secret Service" using DBus.
 .
 This package contains the introspection datas for the libsecret library.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,10 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- -Dauto_features=enabled \
+		-Dbash_completion=disabled
+
 override_dh_auto_test:
 	env -u LD_PRELOAD dbus-run-session -- dh_auto_test -- --timeout-multiplier 6

## libsecret 0.21.7

=== meson_options.txt ===
option('manpage',
  type: 'boolean',
  value: true,
  description: 'Build man pages',
)

option('crypto',
  type: 'combo',
  choices: ['libgcrypt',
  'gnutls',
  'disabled'],
  value: 'libgcrypt',
  description: 'Backend library to implement transport encryption',
)

option('debugging',
  type: 'boolean',
  value: false,
  description: 'Turn debugging on/off',
)

option('vapi',
  type: 'boolean',
  value: true,
  description: 'Create VAPI file.',
)

option('gtk_doc',
  type: 'boolean',
  value: true,
  description: 'Build reference documentation using gi-docgen',
)

option('introspection',
  type: 'boolean',
  value: true,
  description: 'Create GIR file.',
)

option('bashcompdir',
  type: 'string',
  value: '',
  description: 'Override default location for bash completion files',
)

option('bash_completion',
  type: 'feature',
  value: 'auto',
  description: 'Install bash completion files',
)

option('tpm2',
  type: 'boolean',
  value: false,
  description: 'With TPM2 Software Stack',
)

option('pam',
  type: 'boolean',
  value: false,
  description: 'Build PAM module',
)

=== debian/changelog ===
libsecret (0.21.7-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Build-Depend on required gir1.2-*-dev packages
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/control: Build-Depend on docbook-xsl and xsltproc.
    These are needed to build the man page. They were previously pulled
    in by gtk-doc-tools, but that's no longer used.
  * d/control: Drop obsolete B-D on gtk-doc-tools and libglib2.0-doc.
    The build option is still called gtk_doc, but it now controls whether
    gi-docgen is used.
  * Move API documentation up a level, from
    /usr/share/doc/libsecret-1-dev/html/libsecret-1 to
    /usr/share/doc/libsecret-1-dev/libsecret-1. This lets us install it
    via *.docs rather than *.install, making the <!nodoc> build profile
    easier to implement.
  * d/control, d/rules: Implement the <!nodoc> build profile,
    allowing builds without man pages and gi-docgen
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 17:35:08 -0400

libsecret (0.21.7-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 14:13:33 -0400

libsecret (0.21.6-3) unstable; urgency=medium

  * Have libsecret-tools install its own bash-completion again
  * Add Breaks/Replaces against old bash-completion (Closes: #1093258)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Jan 2025 08:06:04 -0500

=== debian/control ===
--- 
+++ 
@@ -9,21 +9,22 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
+               docbook-xsl <!nodoc>,
                bash-completion,
                dbus <!nocheck>,
-               gi-docgen,
+               gi-docgen <!nodoc>,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
                gjs [amd64 arm64 armhf mips64el mipsel ppc64el riscv64 s390x] <!nocheck>,
-               gtk-doc-tools (>= 1.9),
+               gobject-introspection (>= 1.80),
                libgcrypt20-dev (>= 1.2.2),
-               libgirepository1.0-dev (>= 1.29),
                libglib2.0-dev (>= 2.44.0),
-               libglib2.0-doc (>= 2.44.0),
                meson (>= 0.50.),
                python3-dbus <!nocheck>,
                python3-gi <!nocheck>,
-               valac (>= 0.17.2.12)
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+               valac (>= 0.17.2.12),
+               xsltproc <!nodoc>,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsecret
 Vcs-Git: https://salsa.debian.org/gnome-team/libsecret.git
 Homepage: https://wiki.gnome.org/Projects/Libsecret
@@ -69,6 +70,8 @@
 Section: admin
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: bash-completion (<< 1:2.16.0-7~)
+Replaces: bash-completion (<< 1:2.16.0-7~)
 Multi-Arch: foreign
 Description: tool for storing and retrieving GObject passwords
  This package provides a command line tool using libsecret to access

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

configure_flags = -Dauto_features=enabled

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
configure_flags += -Dgtk_doc=true -Dmanpage=true
else
configure_flags += -Dgtk_doc=false -Dmanpage=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_auto_test:
	env -u LD_PRELOAD dbus-run-session -- dh_auto_test -- --timeout-multiplier 6

override_dh_gnome_clean:

=== debian/tests/control ===
Tests: libsecret-1-dev
Depends: build-essential, dbus, libsecret-1-dev, pkgconf
Restrictions: allow-stderr superficial
